Subject: bug#67174: 30.0.50; [PATCH] What about a vectorized Gnus mode-line logo?

From: Manuel Giraud <[email-masked]>
Date: Sat, 03 Feb 2024 12:53:20 +0100

Visuwesh <[email-masked]> writes:

[...]

> That would be nice to have since I do like the little splash of
> colour.

Hi Visuwesh (and all),

What do you think of this attached patch?  Now that SVG are honoring the
colors of the face property, I just add a face property to the logo.

I have chosen 'font-lock-function-name-face' because it is a somewhat
standard face and it is of color Blue1 (#0000ff) with the default Emacs
theme (this is the same color of the XPM logo).

Using a face property also have the nice property (😁) of automatically
adapt to any other theme.
-- 
Manuel Giraud
> From 6ba6a224c86f845a61f951c6b664b415a5914142 Mon Sep 17 00:00:00 2001
From: Manuel Giraud <[email-masked]>
Date: Sat, 3 Feb 2024 12:15:21 +0100
Subject: [PATCH] Colorize SVG Gnus logo in mode line

* lisp/gnus/gnus.el (gnus-mode-line-buffer-identification):
Add a face property to colorized the SVG Gnus logo.
---
 lisp/gnus/gnus.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index 99833e4eeca..9366624fe03 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -333,6 +333,7 @@ gnus-mode-line-buffer-identification
 		  (:type xbm :file "gnus-pointer.xbm"
 			 :ascent center))
 		t)
+               'face 'font-lock-function-name-face
 	       'help-echo (if gnus-emacs-version
                               (format
 			       "This is %s, %s."
-- 
2.43.0